body {
    margin: 0;
    padding: 0;
    font-family: Arial,Helvetica,sans-serif;
}

/* Navbar */

.navbar {
    position: fixed;
    top: 0;
    width: 100%;
    height: 80px;
    background: rgba(0, 0, 0, 0.5);
    z-index: 1000;
}

.nav-container {
    max-width: 1750px;
    margin: 0 auto;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.logo {
    display: flex;
    align-items: center;
    gap: 12px;
    text-decoration: none;
    color: #fff;
}

.logo img {
    height: 50px;
    width: 50px;
    object-fit: contain;
    border-radius: 50%;
    transition: 0.4s ease;
}

.logo:hover img{
    transform: rotate(-5deg) scale(1.1);
    filter: drop-shadow(0 0 10px rgba(255,79,216,0.7));
}

.site-name {
    font-size: 25px;
    font-weight: 600;
    letter-spacing: 0.5px;
    transition: 0.3s;
}

.logo:hover .site-name{
    color:#ff4fd8;
    text-shadow:0 0 8px rgba(255,79,216,0.6);
}

.nav-right {
    display: flex;
    align-items: center;
    gap: 20px;
}

.nav-link {
    color: #fff;
    text-decoration: none;
    font-size: 20px;
    padding: 10px 20px;
    border-radius: 20px;
    transition: 
        transform 0.3s ease,
        box-shadow 0.3s ease,
        background 0.3s ease;
    background: linear-gradient(135deg, rgba(255,255,255,0.08), rgba(255,255,255,0.08));
}

.nav-link:hover {
    background: linear-gradient(135deg, #ff4fd8, #ff2fa1);
    box-shadow:
    0 0 10px rgba(255,79,216,0.5),
    0 0 20px rgba(255,79,216,0.4),
    0 0 40px rgba(255,79,216,0.2);
    transform: translateY(-2px) scale(1.03);
    backdrop-filter: blur(6px);
}

/* Aktywny link - Podświetlenie aktywnej strony w navbar */

.nav-right a.active {
    background: linear-gradient(135deg, #ff4fd8, #ff2fa1);
    box-shadow:
    0 0 10px rgba(255,79,216,0.5),
    0 0 20px rgba(255,79,216,0.4),
    0 0 40px rgba(255,79,216,0.2);
    transform: translateY(-2px) scale(1.03);
    backdrop-filter: blur(6px);
}

/* Footer */

.footer {
    width: 100%;
    margin-top: auto;
    background: rgba(0, 0, 0, 0.5);
    padding: 0 10px;
    height: 80px;
    align-content: center;
}

.footer-container {
    max-width: 1750px;
    height: 100%;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
}

.footer-left {
    display: flex;
    flex-direction: column;
    gap: 12px;
    align-items: center;
}

.footer-links {
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
}

.footer-links a {
    color: #fff;
    text-decoration: none;
    font-size: 14px;
    transition: 0.3s;
}

.footer-links a:hover {
    color: #fd70df;
    text-shadow: 0 0 5px rgba(255, 79, 216, 0.5);
}

.footer-text {
    font-size: 13px;
    color: #bbb;
}

.footer-right {
    display: flex;
    flex-direction: column;
    gap: 12px;
    align-items: center;
}

/* Hamburger */

.nav-toggle {
    display: none;
    font-size: 25px;
    cursor: pointer;
    color: white;
}

/* Mobile */

@media (max-width: 1260px) {

    .nav-toggle {
        display: block;
        padding: 0 25px;
    }

    .nav-right {
        position: absolute;
        top: 80px;
        right: 0;
        background: rgba(0, 0, 0, 0.5);
        flex-direction: column;
        padding: 20px;
        display: none;
    }

    .nav-right.active {
        display: flex;
    }

    .nav-right a {
        padding: 10px 15px;
    }
}
